package com.sikey.wa04.common.enums;

import lombok.Getter;

/**
 * 添加好友结果类型
 *
 * @author yuzenghui
 */
@Getter
public enum AddFriendResultType {
    /**
     * 成功添加好友
     */
    SUCC(1),
    /**
     * 添加失败
     */
    FAILED(2),
    /**
     * 您已添加过好友
     */
    FRIEND_REPEAT(3),
    /**
     * 好友码已失效
     */
    FRIEND_CODE_NOT_EXIST(4),
    /**
     * 无法添加自己为好友
     */
    ADD_MYSELF_FRIEND(5);

    private final Integer value;

    AddFriendResultType(Integer value) {
        this.value = value;
    }

    public static AddFriendResultType valueOf(Integer value) {
        for (AddFriendResultType role : values()) {
            if (role.value.equals(value)) {
                return role;
            }
        }
        throw new IllegalArgumentException("No such value: " + value);
    }
}
